{% extends 'base.html.twig' %}

{% block title %}Liste des Catégories{% endblock %}

{% block body %}

    <div class="card">
         <!-- /.card-header -->
         <div class="card-body">
             <table id="example1" class="table table-bordered table-striped" style="text-align: center">
                <thead>
                    <tr>
                        {#<th>Id</th>#}
                        <th style="width: 170px">Designation</th>
                        <th>Description</th>
                        <th style="width: 150px">Actions</th>
                    </tr>
                </thead>
                <tbody>
                {% for categorie in categories %}
                    <tr>
                        {#<td>{{ categorie.id }}</td>#}
                        <td>{{ categorie.designation }}</td>
                        <td>{{ categorie.description }}</td>
                        <td style="display: flex; align-items: center; justify-content: center;">
                            {#<a href="{{ path('categorie_show', {'id': categorie.id}) }}" class="btn btn-primary btn-block"
                                           style="padding: 5px; background-color: #343a40; border-color: #343a40;">Afficher</a>#}
                            <form method="post" action="{{ path('categorie_delete', {'id': categorie.id}) }}"
                                  onsubmit="return confirm('Etes-vous sûr que vous voulez supprimer cette categorie?');"
                                  style="padding-right: 10px; /*padding-left: 10px;*/">
                                <input type="hidden" name="_token" value="{{ csrf_token('delete' ~ categorie.id) }}">
                                <button class="btn btn-primary btn-block" style="padding: 3px;
                                            background-color: #343a40; border-color: #343a40;">Supprimer</button>
                            </form>
                            <a href="{{ path('categorie_edit', {'id': categorie.id}) }}" class="btn btn-primary btn-block"
                               style="padding: 3px; background-color: #343a40; border-color: #343a40;">Modifier</a>
                        </td>
                    </tr>
                {% else %}
                    <tr>
                        <td colspan="4">Il n'y a aucune catégorie</td>
                    </tr>
                {% endfor %}
                </tbody>
             </table>
             <div style="padding-top: 20px; display: flex; align-items: center; justify-content: center">
                 <a href="{{ path('categorie_new') }}">
                     <button class="btn btn-primary btn-block" style="/*padding: 3px;*/ background-color: #343a40;
                            border-color: #343a40; width: 500px">Ajouter une Catégorie</button>
                 </a>
             </div>
         </div>
        <!-- /.card-body -->
    </div>

    <a href="{{ path('categorie_new') }}">Create new</a>
{% endblock %}